Subject: 25.0.50; suggest-key-bindings doesn't work with a nil value
From: Vicente Vera <[email-masked]>
To: [email-masked]
Date: Tue, 18 Nov 2014 10:56:01 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

In Emacs 25.0.50.1 (repository revision:
5813f93cab1a81eba6eef735add5ca7cb1d15e8e) the function
'execute-extended-command' accepts only numeric values from the
variable 'suggest-key-bindings'. Setting a nil value won't disable the
suggestion message shown in the minibuffer.

In 'simple.el', line 1691, the function looks for a non-nil value in
'suggest-key-bindings', but afterwards it only accepts numeric values.
Therefore, a nil value will trigger the default behaviour, which is
printing the "You can run the command `%s' with %s" message after 2
seconds. A workaround: setting 'suggest-key-bindings' to 0.

Also, in line 1670, a conditional construct has been commented out:
";; (when binding". But it seems this is not directly related with the
issue.